Repos refresh complaining about digest verification for Update repo

zypper lr -d
#  | Alias                     | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                     | Service
---+---------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------+--------
 1 | download.nvidia.com-leap  | nVidia Graphics Drivers                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/42.1                           |        
 2 | openSUSE-42.1-0           | openSUSE-42.1-0                         | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/           |        
 3 | packman.inode.at-suse     | Packman Repository                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.1/                        |        
 4 | repo-debug                | openSUSE-Leap-42.1-Debug                | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/     |        
 5 | repo-debug-non-oss        | openSUSE-Leap-42.1-Debug-Non-Oss        | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/ |        
 6 | repo-debug-update         | openSUSE-Leap-42.1-Update-Debug         | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/oss                 |        
 7 | repo-debug-update-non-oss | openSUSE-Leap-42.1-Update-Debug-Non-Oss | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/            |        
 8 | repo-non-oss              | openSUSE-Leap-42.1-Non-Oss              | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/       |        
 9 | repo-source               | openSUSE-Leap-42.1-Source               | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/    |        
10 | repo-update               | openSUSE-Leap-42.1-Update               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                      |        
11 | repo-update-non-oss       | openSUSE-Leap-42.1-Update-Non-Oss       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/      
zypper up
Retrieving repository 'openSUSE-Leap-42.1-Update' metadata ------------------/]

Warning: Digest verification failed for file '413c8a8222423c3551819d7a863d90d9ab8a2954a591e89f692b21d322ae758c-appdata.xml.gz'
[/var/cache/zypp/raw/repo-update1zhes6/repodata/413c8a8222423c3551819d7a863d90d9ab8a2954a591e89f692b21d322ae758c-appdata.xml.gz]

  expected 3d6d82c5f4940da0a3228f95ab93b1034c38afdacadc5ebf539329284cdbdcf2
  but got  3a9a0056f262445be1b1b59cad7f39a67144adec6bdfab7b550ce0e21b4230b0

Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.

However if you made certain that the file with checksum '3a9a..' is secure, correct
and should be used within this operation, enter the first 4 characters of the checksum
to unblock using this file on your own risk. Empty input will discard the file.

Unblock or discard? [3a9a/? shows all options] (discard): 

Earlier today I run zypper up and no problem. However, now whenever the repos are refreshed I’m getting that error of the Leap Update repo. Is it safe to accept this change?

Try again it could be just a glitch or maybe the mirror you use was being updated. Or you could try another mirror

yeah, working fine now.